GET /v1/summary/categories

Spending and income by category over a date range. Transfers are excluded.

Auth. Send the token in the X-Ledger-Token header.

Parameters

NameInTypeRequiredDescription
sincequerystring (date)optional
untilquerystring (date)optionalExclusive
account_idquerystringoptional

Responses

StatusMeaningBody
200One row per category, largest spending firstobject[]
429Too many requests from this client address. Wait the number of seconds in Retry-After, then try again.Error

Example response

[
  {
    "category": "string",
    "spent_cents": 0,
    "received_cents": 0,
    "count": 0
  }
]

Code samples

Set KEY to your own token first.

curl

curl \
  -H X-Ledger-Token:$KEY \
  "https://api.sasek.org/ledger/v1/summary/categories"

JavaScript

const res = await fetch("https://api.sasek.org/ledger/v1/summary/categories", {
  headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();

Python

import json
import os
import urllib.request

request = urllib.request.Request(
    "https://api.sasek.org/ledger/v1/summary/categories",
    method="GET",
    headers={
        "X-Ledger-Token": os.environ["KEY"],
    },
)
with urllib.request.urlopen(request) as response:
    print(json.load(response))